Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.toolchain
[Java] Interface GccTool

    @Incubating
    public interface GccTool

An executable tool that forms part of a tool chain.

Method Summary
`String` | `getExecutable()` The name of the executable file for this tool.
`void` | `setExecutable(String file)` Set the name of the executable file for this tool.
`void` | `withArguments(Closure arguments)` Adds an action that will be applied to the command-line arguments prior to execution.

Method Detail

### getExecutable

    public String getExecutable()

  The name of the executable file for this tool.

### setExecutable

    public void setExecutable(String file)

  Set the name of the executable file for this tool. The executable will be located in the tool chain path.

### withArguments

    public void withArguments(Closure arguments)

  Adds an action that will be applied to the command-line arguments prior to execution.

Gradle API 1.10